Subject: bug#66293: 28.2; rmail_ Invalid mbox file

From: Eli Zaretskii <[email-masked]>
Date: Mon, 02 Oct 2023 08:37:53 +0300

> Date: Sun, 01 Oct 2023 23:40:10 +0530
> From:  జిందం వాఐి via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> On 2023-10-01 19:21, Eli Zaretskii wrote:
> > With the attached mbox file I cannot reproduce the problem.  I did:
> > 
> >   emacs -Q
> >   C-u M-x rmail RET RMAIN RET
> 
> above command, no mail
> * however, C-u M-x rmail RET RMAIL RET
> displays email
> 
> > and was presented with the last email message in the mbox file, with
> > no errors.
> > 
> > So I wonder what went wrong in your case.  Maybe the problem is in the
> > version of movemail you are using?  Can you try repeating the steps I
> > did above, instead of going through Tools->Read mail ?
> 
> it seems i need to use commands...

Yes, if movemail cannot retrieve your mail, you must use "M-x rmail"
to read mail from a disk file.